Query Pick List Position
curl --request GET \
--url https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/wms/{warehouseId}/picklists/{picklistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"WarehouseId": 123,
"PicklistId": 123,
"StorageLocationId": 123,
"ItemId": 123,
"Quantity": 2,
"Status": 10,
"Priority": 3,
"SalesOrderLineItemId": 123,
"CreatedAt": "2023-01-15T13:00:00.0000000+00:00"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}wms
Query Pick List Position
Query all positions for a given pick list
GET
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
Query Pick List Position
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Response
Returns all pick lists positions for an given pick list.
Quantity to pick.
Example:
2
10 = Created, 11 = InProgress, 20 = Picked, 30 = InShippingBox, 40 = Completed
Available options:
10, 11, 20, 30, 40 Priority of the position.
Example:
3
Time when the pick list was created.
Example:
"2023-01-15T13:00:00.0000000+00:00"
Was this page helpful?